{ config, lib, ... }:

{
  programs.bash = {
    enable = true;

    bashrcExtra = ''
      if [[ -f ~/.config/nomarchy/default/bash/rc ]]; then
        source ~/.config/nomarchy/default/bash/rc
      fi
    '';

    shellAliases = lib.mkDefault {
      # File system
      lsa = "ls -a";

      # Directories
      ".." = "cd ..";
      "..." = "cd ../..";
      "...." = "cd ../../..";

      # Tools
      c = "opencode";
      d = "docker";
      r = "rails";
      t = "tmux attach || tmux new -s Work";

      # Git
      g = "git";
      gcm = "git commit -m";
      gcam = "git commit -a -m";
      gcad = "git commit -a --amend";

      # NixOS commands
      sys-update = "nomarchy-sys-update";
      env-update = "nomarchy-env-update";
    };
  };
}
